Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1658031 - The key recovery should fail with an exception rather than a segmentation fault after disabling the kra.allowEncDecrypt.archival=false and kra.allowEncDecrypt.recovery=false flag
Summary: The key recovery should fail with an exception rather than a segmentation fau...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: pki-core
Version: 8.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: RHCS Maintainers
QA Contact: Asha Akkiangady
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-11 05:09 UTC by Deepak Punia
Modified: 2020-10-04 21:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-15 18:54:26 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Fedora Pagure dogtagpki issue 3141 0 None None None 2020-03-15 18:54:26 UTC
Github dogtagpki pki issues 3258 0 None open The key recovery should fail with an exception rather than a segmentation fault after disabling the kra.allowEncDecrypt.... 2020-10-04 21:47:16 UTC

Description Deepak Punia 2018-12-11 05:09:11 UTC
Description of problem:
The key recovery should fail with an exception rather than a segmentation fault after disabling the kra.allowEncDecrypt.archival=false and kra.allowEncDecrypt.recovery=false flag.
Issue : After disabling the below flag and restart KRA. key recovery should failed but through command but it getting success. 

Version-Release number of selected component (if applicable):
10.5.9-7.el7_6

How reproducible:
Disable the kra.allowEncDecrypt.archival=false and kra.allowEncDecrypt.recovery=false flag and retrieve the key through cmd. 

Steps to Reproduce:
1.Disable the kra.allowEncDecrypt.archival=false and kra.allowEncDecrypt.recovery=false flag
2.retrieve the key through pki cmd

Actual results:
Sucess

Expected results:
Should be failed after disabling the flag.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.